jQuery(document).ready(function($){
  
  
  $('a', 'div.wrap ul.wpb-ebs-bg-list').click(function(){
    var obj = $(this);
    var bgimg = $('div.wpb-ebs-img', obj).attr('style');
    
    $('div.wpb-active', 'ul.wpb-ebs-bg-list').removeClass('wpb-active');
    $('div.wpb-ebs-img', obj).addClass('wpb-active');
    $('html').attr('style', bgimg);
    
    return false;
  });
  
  
  $('#wpb-ebs-apply-changes').click(function(){
    var active = $('div.wpb-active', 'ul.wpb-ebs-bg-list').attr('data-bg');
    
    $.post(ajaxurl, {'action':'wpb_ebs_change_bg', 'bg-url': active}, function(r){
      if (r != '') {
        alert('Changes saved!');
      } else {
        alert('There has been an error! Please reload the page and try again!');
      }
    });
    
    return false;
  });
  
  
  $('#wpb-ebs-form').dialog({'dialogClass'   : 'wp-dialog',
                             'width'         : '700',
                             'modal'         : true,
                             'autoOpen'      : false,
                             'closeOnEscape' : true,
                             title : 'Background Image Selector'
  });
  
  
  $('a', 'form#wpb-ebs-form ul.wpb-ebs-bg-list').click(function(){
    var obj = $(this);
    var bgimg = $('div.wpb-ebs-img', obj).attr('style');
    
    $('input#wpb-ebs-settings-bg').val(bgimg);
    $('div.wpb-ebs-img-post').removeAttr('style');
    $('div.wpb-ebs-img-post').attr('style', '' + bgimg + '');
    $('div.wpb-ebs-no-img').hide();
    $('div.wpb-ebs-img-post').show();
    $('div.wpb-ebs-img-post-container').fadeIn();
    $('#wpb-ebs-form').dialog('close');
    return false;
  });
  
  
  $('a.wpb-ebs-settings-bg-remove').click(function(){
    var post_id = $('#wpb-ebs-settings-post-id').val();
    // Remove with ajax
    $.post(ajaxurl, {action: 'wpb_ebs_remove_post_bg', post_id: post_id}, function(r) {
      if (r != '') {
        $('div.wpb-ebs-img-post-container').fadeOut(function(){
          $('div.wpb-ebs-img-post').hide();
        });
        $('div.wpb-ebs-no-img').fadeIn();
        $('input#wpb-ebs-settings-bg').val('');
      } else {
        alert('Ooops! There has been an error! Please reload the page and try again!');
      }
    });
  });
  
  
  $('#wpb-ebs-display-form-link').click(function(){
    $('#wpb-ebs-form').dialog('open');
    return false;
  });
  
  
  $('body').click(function(){
    $('#wpb-ebs-form').dialog('close');
  });
  
  
});